From a58658f191e83f4c6417d2cc879fa572f7978537 Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Thu, 4 Feb 2016 16:28:15 +0100
Subject: [PATCH] crypto/engine: autoload padlock dynamic engine

---
 crypto/engine/eng_all.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/crypto/engine/eng_all.c b/crypto/engine/eng_all.c
index 48ad0d2..822aa23 100644
--- a/crypto/engine/eng_all.c
+++ b/crypto/engine/eng_all.c
@@ -120,6 +120,16 @@ void ENGINE_load_builtin_engines(void)
     ENGINE_load_capi();
 # endif
 #endif
+#ifdef OPENSSL_NO_STATIC_ENGINE
+    {
+        ENGINE *e = ENGINE_by_id("padlock");
+        if (e != NULL) {
+            ENGINE_add(e);
+            ENGINE_free(e);
+            ERR_clear_error();
+        }
+    }
+#endif
     ENGINE_register_all_complete();
 }
 
-- 
2.7.0

